### Method

# Ide Diagnostic take_range

#### Declaration

    void
    ide_diagnostic_take_range (
      IdeDiagnostic* self,
      IdeRange* range
    )

#### Description

Adds a source range to the diagnostic, but does not increment the reference count of `range`.

Available since: | 3.32

#### Parameters

`range` | `IdeRange`
| An `IdeRange`.
| The instance takes ownership of the data, and is responsible for freeing it.